Package tigase.io

## Interface TLSWrapper

- All Known Implementing Classes:
    `JcaTLSWrapper`

      public interface TLSWrapper

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `bytesConsumed()` |
    `void` | `close()` |
    `int` | `getAppBuffSize()` |
    `CertCheckResult` | `getCertificateStatus​(boolean revocationEnabled, SSLContextContainerIfc sslContextContainer)` |
    `javax.net.ssl.SSLEngineResult.HandshakeStatus` | `getHandshakeStatus()` |
    `java.security.cert.Certificate[]` | `getLocalCertificates()` |
    `int` | `getNetBuffSize()` |
    `int` | `getPacketBuffSize()` |
    `java.security.cert.Certificate[]` | `getPeerCertificates()` |
    `TLSStatus` | `getStatus()` |
    `byte[]` | `getTlsUniqueBindingData()` |
    `boolean` | `isClientMode()` |
    `boolean` | `isNeedClientAuth()` |
    `default void` | `notifyIfHandshakeFinished()` | Deprecated.
    `void` | `setDebugId​(java.lang.String id)` |
    `java.nio.ByteBuffer` | `unwrap​(java.nio.ByteBuffer net, java.nio.ByteBuffer app)` |
    `boolean` | `wantClientAuth()` |
    `void` | `wrap​(java.nio.ByteBuffer app, java.nio.ByteBuffer net)` |

- - ### Method Detail

    - #### bytesConsumed

          int bytesConsumed()

    - #### close

          void close()
              throws javax.net.ssl.SSLException

      Throws:
        `javax.net.ssl.SSLException`

    - #### getAppBuffSize

          int getAppBuffSize()

    - #### getCertificateStatus

          CertCheckResult getCertificateStatus​(boolean revocationEnabled,
                                               SSLContextContainerIfc sslContextContainer)

    - #### getHandshakeStatus

          javax.net.ssl.SSLEngineResult.HandshakeStatus getHandshakeStatus()

    - #### getLocalCertificates

          java.security.cert.Certificate[] getLocalCertificates()

    - #### getNetBuffSize

          int getNetBuffSize()

    - #### getPacketBuffSize

          int getPacketBuffSize()

    - #### getPeerCertificates

          java.security.cert.Certificate[] getPeerCertificates()
                                                        throws javax.net.ssl.SSLPeerUnverifiedException

      Throws:
        `javax.net.ssl.SSLPeerUnverifiedException`

    - #### getStatus

          TLSStatus getStatus()

    - #### getTlsUniqueBindingData

          byte[] getTlsUniqueBindingData()

    - #### isClientMode

          boolean isClientMode()

    - #### isNeedClientAuth

          boolean isNeedClientAuth()

    - #### setDebugId

          void setDebugId​(java.lang.String id)

    - #### unwrap

          java.nio.ByteBuffer unwrap​(java.nio.ByteBuffer net,
                                     java.nio.ByteBuffer app)
                              throws javax.net.ssl.SSLException

      Throws:
        `javax.net.ssl.SSLException`

    - #### wantClientAuth

          boolean wantClientAuth()

    - #### wrap

          void wrap​(java.nio.ByteBuffer app,
                    java.nio.ByteBuffer net)
             throws javax.net.ssl.SSLException

      Throws:
        `javax.net.ssl.SSLException`

    - #### notifyIfHandshakeFinished

          @Deprecated
          default void notifyIfHandshakeFinished()

      Deprecated.